Page MenuHomePhabricator

CX2: Undoing "Add translation" breaks saving
Closed, ResolvedPublic

Description

  1. Start translating any page
  2. Add one paragraph to the translation
  3. Click undo
  4. See the console
Uncaught TypeError: targetNode.getOriginalContentSource is not a function
    at VeInitMwCXTarget.ve.init.mw.CXTarget.saveSection (ve.init.mw.CXTarget.js?8bd30:628)
    at MwCxDmTranslation.oo.EventEmitter.emit (oojs.jquery.js?2c0b9:824)
    at VeDmCXSectionNode.ve.dm.CXSectionNode.emitSectionChange

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterHandle the transition from translated section to placeholder by 'undo'

Event Timeline

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 21 2018, 7:17 PM

Change 455560 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/ContentTranslation@master] Clone annotation before modifying

https://gerrit.wikimedia.org/r/455560

Ignore above patchset - was tagged against the wrong task.

santhosh claimed this task.Aug 29 2018, 9:29 AM
santhosh moved this task from Backlog to In Progress on the Language-2018-July-September board.

Change 456107 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] WIP: Handle the transition from translated section to placeholder by 'undo'

https://gerrit.wikimedia.org/r/456107

Change 456107 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Handle the transition from translated section to placeholder by 'undo'

https://gerrit.wikimedia.org/r/456107

Petar.petkovic moved this task from In Review to QA on the Language-2018-July-September board.
Petar.petkovic removed a subscriber: gerritbot.
Etonkovidova closed this task as Resolved.Sep 6 2018, 10:39 PM